from django.shortcuts import render
from django.views import View
from indexpage.utils.meiduo_category import get_categories

class ListView(View):
    def get(self, request):
        # 1.查询所有频道并排序
        categories = get_categories()
        context = {
            'categories':categories,
        }
        return render(request, 'index.html', context)
